DRM_MODE_CONNECTOR_A(9)

NAME
drm_mode_connector_attach_encoder - attach a connector to an encoder

SYNOPSIS

int drm_mode_connector_attach_encoder(struct drm_connector * connector, struct drm_encoder * encoder);

ARGUMENTS

connector
    connector to attach

encoder
    encoder to attach connector to

DESCRIPTION

This function links up a connector to an encoder. Note that the routing restrictions between encoders and crtcs are exposed to userspace through the possible_clones and possible_crtcs bitmasks.

RETURNS

Zero on success, negative errno on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT